from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAreaLink(XInterface, Protocol):
    def getSourceArea(self) -> str: ...
    def setSourceArea(self, aSourceArea: str) -> None: ...
    def getDestArea(self) -> CellRangeAddress: ...
    def setDestArea(self, aDestArea: CellRangeAddress) -> None: ...
